ghdl (5.0.1+dfsg-1ubuntu1) plucky; urgency=medium

  * Explicitly build using LLVM 19.
  * Build again on any arch.
  * Ignore LLVM backend test results for a first build on armhf and s390x.
  * Ignore GCC backend test results for a first build on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Mar 2025 18:44:50 +0200

ghdl (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.0.1+dfsg
  * Update debian/copyright
  * Drop all backported patches
  * Update libghdl soname to current version
  * Use GCC/GNAT version 14 (Closes: 1092658, 1100461)
  * Create dummy gcc/vhdl/lang.opt.urls file to work with gcc-14
  * Bump Standards-Version to 4.7.2, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Fri, 28 Mar 2025 01:47:15 +0100

ghdl (4.1.0+dfsg-4) unstable; urgency=medium

  * Restrict architectures to those on which GHDL builds and clears the
    testsuite (Closes: 1081717, 1010539)
  * Fix lintian override for undefined license

 -- Andreas Bombe <aeb@debian.org>  Sun, 17 Nov 2024 11:48:24 +0100

ghdl (4.1.0+dfsg-3) unstable; urgency=medium

  * Add allow-llvm19 patch and adjust Build-Depends to allow building with
    LLVM 19 (Closes: 1085096)
  * Backport patch from upstream to fix testsuite VPI prototypes
  * Fix some testsuite file patterns in debian/copyright
  * Add lintian source override for a testsuite with a generic BSD license

 -- Andreas Bombe <aeb@debian.org>  Sat, 16 Nov 2024 14:22:08 +0100

ghdl (4.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Add collect-gcc-options patch for proper calling of GCC backend
  * Update debian/copyright with new files, years and changed libghw license

 -- Andreas Bombe <aeb@debian.org>  Wed, 28 Aug 2024 01:21:13 +0200

ghdl (4.1.0+dfsg-1) experimental; urgency=medium

  [ Andreas Bombe ]
  * Exclude more test suites from orig tarball for 4.1.0
  * New upstream version 4.1.0+dfsg (Closes: 1067686)
  * Drop LLVM 16 support patches, version 4.1.0 supports up to 18.1
  * Allow LLVM versions up to 18.1
  * Use GCC/GNAT version 13 (Closes: 1067446)
  * Update libghdl soname to current version
  * Bump Standards-Version to 4.7.0, no changes needed
  * Add avoid-have-backtrace patch to disable use of backtrace(3) for now
  * Backport patches from upstream fixing VPI and VHPI testsuite
  * Backport patch from upstream to fix PSL counter initialization
  * Make LLVM backend testsuite failure during build fatal again
  * Adapt to the gcc-13 build installing ghdl1 under libexec instead of lib

  [ Nicolas Boulenguez ]
  * Install the usr/bin/ghdl wrapper with dh_install directly
  * Install usr/lib/ghdl/backend/vhdl/src with dh_link directly
  * Drop obsolete gcc-10 patch
  * Slightly simplify the backend selection with build profiles
  * debian/control: remove unused shlibs:Depends from ghdl-common Depends

 -- Andreas Bombe <aeb@debian.org>  Wed, 31 Jul 2024 23:23:10 +0900

ghdl (3.0.0+dfsg2-1) unstable; urgency=medium

  * Add file exclusion for testsuite added in 3.0.0 containing Xilinx code
    apparently under DLA
  * Repack upstream as version 3.0.0+dfsg2
  * debian/copyright: Update with current years and new files
  * Restore patching of LLVM compiler path in modify-install-paths patch
    (Closes: 1053293)
  * Add patch fix-testsuite-stderr-output to restore fix dropped with
    parallelize-testsuite patch

 -- Andreas Bombe <aeb@debian.org>  Sun, 01 Oct 2023 04:18:29 +0200

ghdl (3.0.0+dfsg-1) unstable; urgency=medium

  [ Simon Richter ]
  * Sort release candidates before releases in uscan
  * New upstream version 3.0.0+dfsg
  * Refresh patches
  * Handle new --libghdldir option

  [ Daniel Gröber ]
  * Bump llvm-dev and add configure patch
  * Fix missing g++ builddep
  * Update libghdl binpkg soname
  * Fix --libghdl-library-path output
  * d/rules: Fix unclean rebuild by always calling make install targets

 -- Simon Richter <sjr@debian.org>  Mon, 25 Sep 2023 22:40:48 +0900

ghdl (2.0.0+dfsg-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Let the armhf build fail again since what was built failed the
    autopkgtest. (see #1010539)
  * Fail the build on s390x where the resulting package was broken.

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Feb 2023 09:33:36 +0200

ghdl (2.0.0+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Adjust the autopkgtest for the ghwdump move.
  * Drop the gcc backend on armhf for now. (see #1010539)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Feb 2023 18:49:58 +0200

ghdl (2.0.0+dfsg-6) unstable; urgency=medium

  * Upload to unstable
  * Rework debian/rules to get rid of cumbersome conditionals
  * Add gcc-distro-specs patch to add %(distro_defaults) like in gcc specs
  * Bring over ghwdump.1 man file from gtkwave and add new options
  * Work around i386 build losing one file by running make twice
  * Add allow-non-linux-mcode patch to allow build on hurd and kfreebsd
  * Add sparc-memmodel-include patch to fix gcc build on SPARC

 -- Andreas Bombe <aeb@debian.org>  Fri, 20 Jan 2023 03:29:12 +0100

ghdl (2.0.0+dfsg-5) experimental; urgency=medium

  * Add binary packages libghdl-2-0-0 and libghdl-dev to provide libghdl,
    which allows the yosys GHDL synthesis plugin to be packaged
  * Add ghdl-tools binary package to install ghwdump in place of the gtkwave
    package
  * Enable synth tests in debian/tests/ghdl-tests
  * Patch parallelize-testsuite: don't print informational messages on stderr
    as any output on stderr is interpreted as a failure by autopkgtest
  * Add patch psl-disable-incorrect-optimization from upstream which might fix
    the PSL testsuite failures occurring on some architectures
  * Separate the testrundir for the build testsuite fully for every backend so
    they can never interfere with each other
  * Restrict Build-Depends on llvm-dev to maximum supported version

 -- Andreas Bombe <aeb@debian.org>  Wed, 11 Jan 2023 02:57:49 +0100

ghdl (2.0.0+dfsg-4) unstable; urgency=medium

  * Upload to unstable
  * Switch configuration of gcc backend to use options from native gcc build
  * Add testsuite-pass-parameters patch to make testsuite.sh correctly pass
    command line args
  * Run testsuite with --keep-going so that all failures are recorded
  * Install ghwdump into ghdl-common /usr/lib/ghdl for use by autopkgtest
    tests as a temporary measure until ghdl can provide the ghwdump binary
    instead of gtkwave in a coordinated update
  * Enable vhpi testsuite that was added with version 2.0.0
  * Temporarily make LLVM backend testsuite failure non-fatal during build
    while investigating PSL test failures on some architectures
  * debian/copyright: Update years for Debian packaging
  * Bump Standards-Version to 4.6.2, no changes needed

 -- Andreas Bombe <aeb@debian.org>  Mon, 02 Jan 2023 18:29:21 +0100

ghdl (2.0.0+dfsg-3) experimental; urgency=medium

  [ Andreas Bombe ]
  * Use the whole build/host/target triple when configuring the GCC backend

  [ Nicolas Boulenguez ]
  * Simplify watch file
  * Use packaging.mk from dh-ada-library instead of from gnat
  * Avoid hardcoding the gnat version in debian/rules
  * Use an explicit version instead of the deprecated gnatgcc symbolic link
  * Set more build flags and tools when running ./configure
  * Simplify extraction of gcc sources
  * Simplify MAKEPARALLEL in debian/rules
  * Simplify override of dh_auto_clean
  * Simplify installation of ghdl-gcc and libbacktrace.a
  * Define common ./configure options in a Make variable
  * debian/rules: remove unneeded GCC_VER variable
  * Refresh patches with recommended options

 -- Andreas Bombe <aeb@debian.org>  Tue, 20 Dec 2022 03:46:29 +0100

ghdl (2.0.0+dfsg-2) experimental; urgency=medium

  * debian/tests/control: Add gtkwave to Depends to provide ghwdump
  * Add testsuite-show-diff-output patch to see why reference comparisons fail
  * Give $(DEB_TARGET_GNU_TYPE) to GCC configure step
  * Add --enable-multiarch to GCC backend configuration

 -- Andreas Bombe <aeb@debian.org>  Tue, 06 Dec 2022 03:15:39 +0100

ghdl (2.0.0+dfsg-1) experimental; urgency=medium

  [ Andreas Bombe ]
  * Add file exclusions for new testsuites with unclear licensing in ghdl 2.0.0
  * New upstream version 2.0.0+dfsg
  * Update debian/copyright
  * Remove configure patches for LLVM 11.1, 12, 13, not needed anymore
  * Remove clean-more, versioning, fix-build patches, applied upstream
  * Refresh and adjust patches for new upstream release
  * Add Build-Depends on texinfo for GCC backend
  * Add gcc-12.patch to allow building for GCC 12
  * Switch to GCC/GNAT 12 (Closes: #1023681)
  * Change Build-Depends on gnat-$VER to versioned depends on gnat
  * Add patch llvm-14.0.patch to allow building with LLVM 14
    (Closes: #1016411, #1017672)
  * debian/rules: Propagate error codes properly.
    Thanks to Daniel Gröber for the patch this is based on
  * debian/rules: Configure with --disable-werror
  * Disable dh_dwz as dwz has bugs trying to handle GCC 12 / LLVM 14 outputs
  * Do not install ghwdump as that is provided by the gtkwave package
  * Disable gcc-verbose-lto-link gcc patch during build as there are quoting
    issues on the GHDL side where the LLINKER variable is used
  * Add parallelize-testsuite patch from upstream git
  * Add skip-unsupported-tests patch to disable tests for unsupported features
  * debian/watch: Use /tags rather than /releases page that stopped working
  * Add GCC 12 patch to reenable C source files in gengtype.cc
  * Add gcc-12-fix-move-pragma-suppress patch from upstream git
  * Add gcc-12-more-fix-move-pragma-suppress patch from upstream git
  * Bump Standards-Version to 4.6.1, no changes needed

  [ Daniel Gröber ]
  * Fix unclean rebuild via debian/rules

 -- Andreas Bombe <aeb@debian.org>  Fri, 02 Dec 2022 02:53:49 +0100

ghdl (1.0.0+dfsg-8) unstable; urgency=medium

  * Add Depends on gcc to ghdl-gcc and ghdl-llvm packages as that is used by
    default for linking simulations
  * Add gcc and libc6-dev to autopkgtest Depends for ghdl-mcode as that is
    used by the testsuite for VPI tests

 -- Andreas Bombe <aeb@debian.org>  Tue, 15 Feb 2022 01:38:02 +0100

ghdl (1.0.0+dfsg-7) unstable; urgency=medium

  * Run testsuite during package build
  * Add autopkgtest configuration
  * Use current name of shared-lib-without-dependency-information lintian
    override
  * Update years in d/copyright

 -- Andreas Bombe <aeb@debian.org>  Sun, 13 Feb 2022 18:11:29 +0100

ghdl (1.0.0+dfsg-6) unstable; urgency=medium

  * Add llvm13.0.patch to allow building with LLVM 13.0 (Closes: #1000923)
  * Change versioning patch to the more general variant that was upstreamed
  * Refresh llvm11.1.0.patch
  * Add Forwarded tags to Debian patches

 -- Andreas Bombe <aeb@debian.org>  Wed, 22 Dec 2021 03:50:59 +0100

ghdl (1.0.0+dfsg-5) unstable; urgency=medium

  * Add llvm11.1.0.patch to enable building with LLVM 11.1 (Closes: #997729)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 02 Nov 2021 08:49:46 +0000

ghdl (1.0.0+dfsg-4) unstable; urgency=medium

  * Add llvm12.0.patch from Ubuntu to enable building with LLVM 12
    (Closes: #989081)
  * Refresh patches
  * Bump Standards-Version to 4.6.0, no changes needed

 -- Andreas Bombe <aeb@debian.org>  Tue, 14 Sep 2021 01:51:47 +0200

ghdl (1.0.0+dfsg-3) unstable; urgency=medium

  * Fix Built-Using field just introduced in ghdl-gcc, it needs to record the
    source instead of the binary package name (Closes: 987528)

 -- Andreas Bombe <aeb@debian.org>  Sun, 25 Apr 2021 23:07:51 +0200

ghdl (1.0.0+dfsg-2) unstable; urgency=medium

  * Add Built-Using field to ghdl-gcc to record use of gcc source package
    (Closes: 987528)

 -- Andreas Bombe <aeb@debian.org>  Sun, 25 Apr 2021 20:16:13 +0200

ghdl (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.0+dfsg
  * Update d/copyright for 1.0.0 changes and exclude some more testsuites
  * Adapt versioning patch to changes in Makefile.in
  * Remove .../vhdl/synopsys and .../vhdl/mentor directories from
    ghdl-*.install, they are not installed separately anymore
  * Add .../vhdl/grt-*.* to d/ghdl-gcc.install and d/ghdl-llvm.install
  * Drop allow-llvm11 patch, already allowed with new upstream version
  * Drop patch remove-vital-from-build, use configure option
    --enable-gplcompat instead
  * Add clean-more patch so that "make distclean" really cleans up everything
  * Override dh_auto_clean and dh_auto_test to prevent debhelper errors about
    python-distutils, presumably because of pyGHDL which isn't enabled in the
    package yet
  * Exclude an .orig file that exists in the upstream release from dh_clean

 -- Andreas Bombe <aeb@debian.org>  Thu, 11 Feb 2021 02:29:19 +0100

ghdl (0.37+dfsg2-2) unstable; urgency=medium

  * Add Breaks+Replaces ghdl (<< 0.37+dfsg2) on ghdl-common (Closes: #981576)
  * Do not install LICENSE file into /usr/lib/ghdl/src/ieee2008

 -- Andreas Bombe <aeb@debian.org>  Wed, 03 Feb 2021 02:40:10 +0100

ghdl (0.37+dfsg2-1) unstable; urgency=medium

  * Repack as 0.37+dfsg2
    * Add exclusion of some testsuite files in DFSG repack
    * Stop excluding libraries/ieee and libraries/ieee2008 in DFSG repack as
      they are now under a DFSG-free license (Apache 2.0)
    * Use the now DFSG-free IEEE libraries instead of GHDL's OpenIEEE
      substitute (Closes: #929656)
    * Add patch remove-vital-from-build to account for libraries removed in
      repack
    * Expand dversionmangle in d/watch to remove numbers after "+dfsg"
  * Introduce ghdl-common package to avoid a circular dependency
    (Closes: #916485)
    * Remove Multi-Arch: same on the ghdl package for now
  * Install all docs in ghdl-common and make other doc directories symlinks
  * Update copyright years in d/copyright
  * Add copyright and licensing for the testsuite to d/copyright
  * Disable building libghdl for now
  * Remove spelling-error lintian overrides for "Synopsys"
  * Point d/watch at releases/latest on GitHub to pick up the correct release
  * Increase debhelper compat level to 13
  * Bump Standards-Version to 4.5.1

 -- Andreas Bombe <aeb@debian.org>  Fri, 29 Jan 2021 15:46:02 +0100

ghdl (0.37+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update watchfile to ignore date tags
  * Switch to GCC/GNAT 10. Thanks to Ludovic Brenta (Closes: #970660)
  * Allow builds with LLVM 11 (Closes: #976233)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 05 Dec 2020 13:36:28 +0000

ghdl (0.37+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Frédéric Bonnard ]
  * Really fix FTBFS on ppc64* (Closes: #907170)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 17 May 2020 10:07:15 +0100

ghdl (0.37+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    * Refresh modify-install-paths
    * Remove patch allowing LLVM 8 (upstreamed)
    * Fixes build with LLVM 9 (Closes: #952110)
    * Update wrapper for newer releases. Thanks to Pavel Pisa (Closes: #930890)
  * Switch to GCC 9 (Closes: #944181)

 -- Jonathan McDowell <noodles@earth.li>  Mon, 06 Apr 2020 11:57:15 +0100

ghdl (0.35+git20181129+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Allow building with LLVM 8+. Patch thanks to Logan Rosen (Closes: #923190)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 29 Sep 2019 18:05:58 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog ghdl-tools`.
